Brands
List brands
List all brands in your workspace with optional filtering by analysis status.
Authorization
apiKey AuthorizationBearer <token>
API key with bp_prod_ or bp_stag_ prefix
In: header
Query Parameters
status?string
Filter by analysis status
Value in
"idle" | "queued" | "running" | "complete" | "failed"limit?integer
Maximum number of items to return
Default
50Range
1 <= value <= 100cursor?string
Pagination cursor for next page
Response Body
application/json
application/json
application/json
curl -X GET "https://api.brandparser.com/v1/api/brands"{
"data": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"source_url": "http://example.com",
"favicon_url": "string",
"analysis_status": "idle",
"analysis_started_at": "2019-08-24T14:15:22Z",
"analysis_completed_at": "2019-08-24T14:15:22Z",
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"assets_expire_at": "2019-08-24T14:15:22Z",
"assets_expired": true
}
],
"pagination": {
"has_more": true,
"next_cursor": "string"
}
}{
"error": "Not Found",
"message": "Brand not found",
"code": "string"
}{
"error": "Forbidden",
"message": "An active subscription is required to access this resource.",
"code": "SUBSCRIPTION_REQUIRED"
}